Subject: Re: procmail: Command not found?

From: [email-masked] (Zhiliang Hu)
Date: Mon, 20 Mar 1995 18:57:53 +1000

At  1:24 PM 3/20/95 +0100, Stephen R. van den Berg wrote:
>Zhiliang Hu <[email-masked]> wrote:
>>>From [email-masked]  Sun Mar 19 17:42:22 1995
>> Subject: get cal form and policy(for entire policy text)
>>  Folder: /home/cal/bin/formail -r |(cat; cat $HOME/CAL/CAL.H-form    1268
>>tabs: Command not found.
>>tabs: Command not found.
>>cat: formail: Command not found.
>>Command not found.
>
>>I wonder (1) did procmail (reply) work?  (2) why command 'cat' is not
>>found?
>
>The reply did not work.
>Four things you should do:
>- Set SHELL=/bin/sh at the top of your .procmailrc
>- Set PATH to something reasonable.
>- Verify that the formail binary is in /home/cal/bin.
>- Check to see on which machine your .procmailrc is being executed (mailserver
>  perhaps?).

        I checked (1), made some changes on (2) and made sure (3) is
        there.  (I don't know how to check (4) :-), now I got the
        log like this:

__________
>From [email-masked]  Mon Mar 20 19:48:49 1995
 Subject: get cal policy
  Folder: /home/cal/bin/formail -r |(cat; cat $HOME/CAL/CAL.Health-poli  510
Segmentation fault (core dumped)
From: [email-masked] (Zhiliang Hu)
To: [email-masked]
__________

        What is this "Segmentation fault (core dumped)"?

        THANKS!

        Zhiliang

PS: Change of path:

Before:
-------
PATH=$HOME/bin:/usr/bin:/global/bin:/usr/ucb:/bin:/usr/local/bin:/usr/lib:/usr:/usr/local:/usr/new:/etc

AFTER:
------
PATH    =$HOME/bin:/usr/bin:/global/bin:/usr/ucb:/bin:/usr/local/bin: